function enable_icon(icon) {
  if (icon.className.search(" on") == -1) icon.className += " on";
}

function disable_icon(icon) {
  icon.className = icon.className.replace(" on", "");
}

function check_radio(rbNode) {
  var role = rbNode.className;

  members_icon = document.getElementById('icon_members');
  leave_icon = document.getElementById('icon_leave');
  edit_icon = document.getElementById('icon_edit');

  if (role != '') {
    enable_icon(members_icon);
  }

  if (role == 1 || role == 2) {
    enable_icon(leave_icon);
    disable_icon(edit_icon);
  }

  if (role == 3) {
    disable_icon(leave_icon);
    enable_icon(edit_icon);
  }

}

function clicked(icon, confirmation) {
  if (icon.parentNode.className.search(" on") != -1) {
    if (confirmation != '') {
      if (!confirm(confirmation)) return;
    }
  //alert('action: ' + icon.title);
  document.forms['teamlist'].action = icon.id;
  document.forms['teamlist'].submit();
  }
}
